Subject: fragmentation / reassembly specifications in the IP/1394 Draft.

From: "Aditya Dube (Exchange)" <[email-masked]>
Date: Wed, 27 Oct 1999 13:25:13 -0700

I  have some questions about the buffer_size field in the fragment
encapsulation header.  These questions came up when we were interop-testing
the Microsoft IP/1394 stack with another vendor's stack.

From the draft:
"buffer_size: The size of the buffer, expressed as buffer_size + 1 octets,
necessary for the recipient to reassemble the entire IP datagram from all of
the link fragments. The value of buffer_size SHALL be the same for all link
fragments of an IP datagram. "

1) Should the buffer_size include the Encapsulation Header ?  This may need
to be to be clarified in the draft.

2) Regarding the stipulation that the buffer_size shall be the same for ALL
link fragments -- the LAST fragment generated during fragmentation may not
have the same buffer_size as all the other fragments of an IP datagram. This
may also need to be clarified in the draft.

Thanks
Aditya Dube